Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 5 de 5

Tema: [LEAP 42.3] Portatil con Optimus, no funciona bumblebee/optirun [solucionado]

  1. #1
    Fecha de Ingreso
    22-septiembre-2013
    Mensajes
    245
    Post Thanks / Like
    Poder de Credibilidad
    6

    [LEAP 42.3] Portatil con Optimus, no funciona bumblebee/optirun [solucionado]

    Hola a todos,

    Yo tenía antes instalado bumblebee para optimus (doble gráfica, NVIDIA e intel), y me iba bien, pero hace tiempo que no me va: tengo este error:

    Código:
    > optirun --status
    Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.
    
    
    
    > optirun glxgears
    X Error of failed request:  BadValue (integer parameter out of range for operation)
      Major opcode of failed request:  154 (GLX)
      Minor opcode of failed request:  24 (X_GLXCreateNewContext)
      Value in failed request:  0x0
      Serial number of failed request:  18
      Current serial number in output stream:  19
    
    > optirun glxinfo
    name of display: :0
    X Error of failed request:  BadValue (integer parameter out of range for operation)
      Major opcode of failed request:  154 (GLX)
      Minor opcode of failed request:  24 (X_GLXCreateNewContext)
      Value in failed request:  0x0
      Serial number of failed request:  36
      Current serial number in output stream:  37
    Bumblebee parece activarse bien y funcionar, pero parece como si fuera problema del driver de Nvidia o algo así. He vuelto a hacer todos los pasos de la guía de la wiki de opensuse y nada...

  2. #2
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.361
    Post Thanks / Like
    Poder de Credibilidad
    10
    No se ya que no tengo Nvidia, has mirado lo que sale con el comando de abajo
    cat /var/log/Xorg.0.log | grep '(EE)'
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  3. #3
    Fecha de Ingreso
    22-septiembre-2013
    Mensajes
    245
    Post Thanks / Like
    Poder de Credibilidad
    6
    Código:
    ~> cat /var/log/Xorg.0.log | grep '(EE)'
            (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    [    37.993] (EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found)
    Pero tengo instalado nvidia-bumblebee.... bueno estoy viendo que en la versión en inglés de la wiki (https://en.opensuse.org/SDB:NVIDIA_Bumblebee) piden que instales el driver nvidia de otra manera... probaré así.

    EDITO: lo que no sé es qué driver debo instalar:

    Código:
    ~> sudo hwinfo --gfxcard | grep Model
    [sudo] password for root: 
      Model: "Intel HD Graphics 520"
      Model: "nVidia GM107M [GeForce GTX 950M]"
    
    
    ~> zypper se x11-video-nvidia*
    Cargando datos del repositorio...                                     
    Leyendo los paquetes instalados...                                           
                                                                                          
    E | Nombre              | Resumen                                                 | Tipo              
    --+---------------------+---------------------------------------------------------+--------
      | x11-video-nvidiaG02 | NVIDIA graphics driver for GeForce 6xxx and newer GPUs  | paquete
      | x11-video-nvidiaG03 | NVIDIA graphics driver for GeForce 8xxx and newer GPUs  | paquete
      | x11-video-nvidiaG04 | NVIDIA graphics driver for GeForce 400 series and newer | paquete
    Última edición por J_VM; 22-mar-2018 a las 10:55

  4. #4
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    857
    Post Thanks / Like
    Poder de Credibilidad
    9
    Tú mismo te contestastes con el comando anterior.

    Te está diciendo que tienes una Geforce GTX 950M por lo que te corresponde la versión que acaba en G04 que dice en su descripción (en la salida del comando que has puesto) que es para la serie 400 y superior.

    Las otras, G02 y G03 corresponderían a las Geforce 6000+ y 8000+ (tarjetas desde 2004).


    Saludos

  5. #5
    Fecha de Ingreso
    22-septiembre-2013
    Mensajes
    245
    Post Thanks / Like
    Poder de Credibilidad
    6
    He probado a instalar el G04 pero nada, no consigo. ahora me da este error:

    Código:
    ~> optirun glxspheres 
    [  494.666418] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver
    
    [  494.666447] [ERROR]Aborting because fallback start is disabled.
    EDITO: CONSEGUIDO!!! cambiado lo que dicen en la wiki

    Try changing value of 'load_state' in "/etc/modprobe.d/50-bbswitch.conf" from 0 to -1 {{Shell|echo "options bbswitch load_state=-1 unload_state=1" | sudo tee /etc/modprobe.d/50-bbswitch.conf
    ya funciona.
    Última edición por J_VM; 23-mar-2018 a las 10:18

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Portátil Mountain con tecnología Optimus
    By ziordia68 in forum Portátiles y otros Dispositivos
    Respuestas: 4
    Último mensaje: 19-sep-2012, 16:26
  2. Mi portátil no hiberna [SOLUCIONADO]
    By Tick in forum Hardware
    Respuestas: 10
    Último mensaje: 04-ene-2011, 11:36
  3. Compiz Fussion en portatil ... [SOLUCIONADO]
    By jackl007 in forum Hardware
    Respuestas: 1
    Último mensaje: 24-ago-2008, 00:05
  4. Respuestas: 9
    Último mensaje: 19-oct-2007, 15:28
  5. ip_forward no funciona [SOLUCIONADO]
    By ajdegea in forum Internet, Redes y Wireless
    Respuestas: 17
    Último mensaje: 15-ago-2007, 00:42

Tags for this Thread

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •